/**
*
* Name		utabort -- Abort the program and return to DOS with a
*			   message.
*
* Synopsis	utabort(pmessage);
*
*		char *pmessage	  Pointer to message string
*
* Description	UTABORT exits the program immediately after writing
*		a message to standard output.
*
*		See also PCEXIT.
*
* Returns	(No return to calling program -- return type is void.)
*		(Error code returned to DOS is 0.)
*
* Version	3.0 (C)Copyright Blaise Computing Inc.	1983, 1984, 1986
*
**/

#include <stdio.h>

#include <butility.h>

#if MSC300
#include <process.h>
#else
#include <stdlib.h>
#endif

void utabort(pmessage)
char *pmessage;
{
    utsound(450,9);
    puts("**** Program Terminated ****");
    puts(pmessage);
    utsound(450,9);
    exit(0);			      /* Error codes not recognized   */
}
