/**
*
* Name		utinit -- Initialize registers for call to dos
*
* Synopsis	iret = utinit(preg);
*
*		int    iret	  Return value is always 0.
*		DOSREG *preg	  Pointer to DOS register structure.
*
* Description	This function initializes the registers pointed to by
*		preg to the default values in preparation for a call to
*		the DOS gate (called DOS).  The DS and ES registers are
*		set to the current values, but all other registers are
*		set to 0.
*
* Returns	iret		  Return value is always 0.
*		*preg		  DOS register structure.
*
* Version	3.0  (C)Copyright Blaise Computing Inc.  1983, 1984, 1986
*
**/

#include <butility.h>

int utinit(preg)
DOSREG *preg;
{
    unsigned cs,ss,ds,es;

    utsreg(&cs,&ss,&ds,&es);
    preg->ds = ds;		       /* Default Data Segment	       */
    preg->es = es;		       /* Extra segment value	       */
    preg->ax =
    preg->bx =
    preg->cx =
    preg->dx =
    preg->si =
    preg->di = 0;

    return(0);
}
