/**
*
* Name		utslmove -- Move bytes from one segment address to another
*
* Synopsis	iret = utslmove(psource,ptarget,cnt);
*
*		int iret	  Return value is always 0
*		ADS *psource	  Pointer to segment,offset address of the
*				  memory location to move.
*		ADS *ptarget	  Pointer to segment,offset address of the
*				  memory location to receive the data.
*		unsigned cnt	  Number of bytes to move
*
* Description	This function moves blocks of storage from one location
*		to another, where the locations are given by segment and
*		offset addresses.  This allows access to the machine's
*		entire main memory.  The address type is a structure
*		whose components are unsigned representing segment and
*		offset addresses.  The actual move is made by calling
*		the assembler routine utmove, which moves the data from
*		"left" to "right" using the movsb instruction.
*
*		The source and target buffers should not overlap.
*
* Returns	No values are returned (the functional value is always 0).
*		The pointers psource and ptarget are not altered.
*
* Version	3.0 (C)Copyright Blaise Computing Inc.	1983,1984,1985,1986
*
**/

#include <butility.h>

int utmove(unsigned,unsigned,unsigned,unsigned,unsigned);

int utslmove(psource,ptarget,cnt)
ADS *psource,*ptarget;
unsigned cnt;
{
    return utmove(psource->s,psource->r,ptarget->s,ptarget->r,cnt);
}
