/**
*
* Name		utsound -- Generate a sound through the speaker
*
* Synopsis	utsound(freq,duration);
*
*		unsigned freq	  The desired frequency in Hertz.
*		unsigned duration The duration in clock ticks.
*
* Description	This function produces a sound through the speaker with
*		a frequency of freq Hertz (cycles per second).	The
*		sound is produced for duration ticks (there are
*		approximately 18.2 clock ticks per second).  UTSOUND is
*		similiar to the BASICA sound statement, but UTSOUND does
*		not provide for buffering of commands.
*
* Returns	(None.	Function return type is void.)
*
* Version	3.0  (C)Copyright Blaise Computing Inc.  1984, 1986
*
**/

#include <butility.h>

void utsound(freq,duration)
unsigned freq,duration;
{
    unsigned utsleep();

    utspkon(freq);
    utsleep(duration);
    utspkoff();
}
