/**
*
* Name		utspkoff -- Turn the speaker off
*
* Synopsis	utspkoff();
*
* Description	This function turns the speaker off.  UTSPKOFF can be
*		used in conjunction with UTSPKON to control the speaker.
*		(In fact, the function UTSOUND uses both functions.)
*		UTSPKOFF turns the speaker off by programming Port B of
*		the 8255 speaker chip.
*
* Returns	(None.	Function return type is void.)
*
* Version	3.0 (C)Copyright Blaise Computing Inc. 1984, 1986
*
**/

#include <butility.h>

#if LAT300
#include <dos.h>		      /* Declare inp() and outp().    */
#endif
#if MSC300
#include <conio.h>		      /* Declare inp() and outp().    */
#endif

#define PB8255	  0x61		      /* Port B of the 8255 chip      */

void utspkoff()
{
    outp(PB8255,inp(PB8255) & ~3);    /* Clear the lower two bits     */
				      /* of Port B.		      */
}
