/**
*
* Name		wnvalnod -- Validate window node.
*
* Synopsis	presult = wnvalnod(pnode);
*
*		WIN_NODE *presult Pointer to valid WIN_NODE
*				  structure, or NIL if failure.
*		WIN_NODE *pnode   Pointer to WIN_NODE structure to
*				  examine.
*
* Description	This function superficially examines a window node
*		structure for validity and returns the result.
*
* Returns	presult 	  Pointer to valid WIN_NODE
*				  structure, or NIL if failure.
*
* Version	3.0  (C)Copyright Blaise Computing Inc. 1986
*
**/

#include <string.h>

#include <bwindow.h>

WIN_NODE *wnvalnod(pnode)
WIN_NODE *pnode;
{
    if (pnode == NIL		      /* Make sure it's not NIL.      */
				      /* Check signature.	      */
	|| strcmp(pnode->signature,BNODE_SIGN) != 0)
	return NIL;

    return pnode;
}
