/**
*
* Name		wnvalwin -- Validate BWINDOW structure.
*
* Synopsis	presult = wnvalwin(pwindow);
*
*		BWINDOW *presult  Pointer to valid BWINDOW
*				  structure, or NIL if failure.
*		BWINDOW *pnode	  Pointer to BWINDOW structure to
*				  examine.
*
* Description	This function superficially examines a window structure
*		for validity and returns the result.
*
* Returns	presult 	  Pointer to valid BWINDOW
*				  structure, or NIL if failure.
*
* Version	3.0  (C)Copyright Blaise Computing Inc. 1986
*
**/

#include <string.h>

#include <bwindow.h>

BWINDOW *wnvalwin(pwindow)
BWINDOW *pwindow;
{
    if (pwindow == NIL
	|| strcmp(pwindow->signature,BWIN_SIGN) != 0)
	return NIL;

    return pwindow;
}
